# https://github.com/ansible/awx-ee/blob/devel/execution-environment.yml
---
version: 3
images:
  base_image:
    name: quay.io/centos/centos:stream9
build_arg_defaults:
  ANSIBLE_GALAXY_CLI_COLLECTION_OPTS: '--pre'
additional_build_files:
    - src: ansible.cfg
      dest: configs
additional_build_steps:
  prepend_galaxy:
    - ADD _build/configs/ansible.cfg ~/.ansible.cfg
# options:
#     container_init:
#         package_pip: dumb-init>=1.2.5
#         entrypoint: '["dumb-init"]'
#         cmd: '["csh"]'
#     package_manager_path: /usr/bin/microdnf
dependencies:
  ansible_core:
    # package_pip: ansible-core==2.15.0
    package_pip: ansible-core>=2.15.0,<2.16
  ansible_runner:
    package_pip: ansible-runner
  # python_interpreter:
  #     package_system: "python310"
  #     python_path: "/usr/bin/python3.10"
  galaxy: |
    ---
    collections:
      - name: awx.awx
      - name: ansible.posix
      - ansible.utils
      - name: community.general
        # version: 3.8.0
      - name: kubernetes.core
      # - name: ansible.windows
      # - name: azure.azcollection
      #   version: ">=2.1.0"
      # - name: amazon.aws
      # - name: theforeman.foreman
      # - name: google.cloud
      # - name: openstack.cloud
      # - name: community.vmware
      # - name: ovirt.ovirt
      # - name: redhatinsights.insights
      # - name: kubevirt.core
  system: |
    git-core [platform:rpm]
    python3.9-devel [platform:rpm compile]
    libcurl-devel [platform:rpm compile]
    krb5-devel [platform:rpm compile]
    krb5-workstation [platform:rpm]
    subversion [platform:rpm]
    subversion [platform:dpkg]
    git-lfs [platform:rpm]
    sshpass [platform:rpm]
    rsync [platform:rpm]
    epel-release [platform:rpm]
    python-unversioned-command [platform:rpm]
    unzip [platform:rpm]
    podman-remote [platform:rpm]
    cmake [platform:rpm compile]
    gcc [platform:rpm compile]
    gcc-c++ [platform:rpm compile]
    make [platform:rpm compile]
    openssl-devel [platform:rpm compile]
  python: |
    git+https://github.com/ansible/ansible-sign
    ncclient
    paramiko
    pykerberos
    pyOpenSSL
    # pypsrp[kerberos,credssp]
    # pywinrm[kerberos,credssp]
    toml
    pexpect>=4.5
    python-daemon
    pyyaml
    six
    receptorctl
additional_build_steps:
  append_base:
    - RUN $PYCMD -m pip install -U pip
  append_final:
    - COPY --from=quay.io/ansible/receptor:devel /usr/bin/receptor /usr/bin/receptor
    - RUN mkdir -p /var/run/receptor
    - RUN git lfs install --system
